Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.task
Class TableSpecificParameter

    java.lang.Object
      org.apache.ddlutils.task.Parameter
          org.apache.ddlutils.task.TableSpecificParameter

    public class TableSpecificParameter

extends Parameter

Specifies a parameter for the creation of the tables. These are usually platform specific. Note that parameters are only applied when creating new tables, not when altering existing ones. Note also that if no table name is specified, the parameter is used for all created tables.

Version:
  $Revision: 231306 $

Constructor Summary
`TableSpecificParameter()`

Method Summary
`boolean` | `isForTable(Table table, boolean caseSensitive)` Determines whether this parameter is applicable to the given table.
`void` | `setTable(String tableName)` Specifies the name of the table in whose creation this parameter shall be applied.
`void` | `setTables(String tableList)` Specifies the comma-separated list of table names in whose creation this parameter shall be used.

Methods inherited from class org.apache.ddlutils.task.Parameter
`getName, getValue, isForPlatform, setName, setPlatforms, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableSpecificParameter

    public TableSpecificParameter()

Method Detail

### setTables

    public void setTables(String tableList)

  Specifies the comma-separated list of table names in whose creation this parameter shall be used. For every table not in this list, the parameter is ignored.

  Parameters:
    `tableList` - The tables

### setTable

    public void setTable(String tableName)

  Specifies the name of the table in whose creation this parameter shall be applied.

  Parameters:
    `tableName` - The table

### isForTable

    public boolean isForTable(Table table,
                              boolean caseSensitive)

  Determines whether this parameter is applicable to the given table.

  Parameters:
    `table` - The table
    `caseSensitive` - Whether the case of the table name is relevant
  Returns:
    `true` if this parameter is applicable to the table

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.